%define	version 0.3.1
%define rel	2
%define	release	%mkrel %rel
%define summary An application for creating stopmotion animations

Name:		stopmotion
Summary:	%{summary}
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.bz2
# It uses /usr/share/doc/stopmotion/ by default, this makes it
# /usr/share/doc/stopmition-0.3.0 - MUST BE REDIFFED ON A NEW RELEASE!
Patch0:		%{name}_fix-help-path-%version.patch.bz2
URL:		http://stopmotion.bjoernen.com/
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	SDL_image1.2-devel libvorbis0 libxml2-devel libtar-devel qt3-devel ImageMagick

%description
Stopmotion is a free application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the harddrive, add sound effects and export the animation
to different video formats such as mpeg or avi.

%prep
%setup -q
%patch -p0

%build
# The --libdir part is to shut rpmlint up
./configure ;echo "--libdir=%{_libdir}" > /dev/null
%make
# Generate icons. The 48x48 one might be a bit ugly, but it'll have to do
convert graphics/stopmotion.png -resize 16x16 graphics/stopmotion-16.png
convert graphics/stopmotion.png -resize 48x48 graphics/stopmotion-48.png

%install
rm -rf $RPM_BUILD_ROOT
# Software
install -m755 stopmotion -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m644 stopmotion.desktop -D $RPM_BUILD_ROOT%{_datadir}/applications/%{name}
# Icons and menu
install -m644 graphics/stopmotion.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 graphics/stopmotion-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 graphics/stopmotion-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/%{name}"\
 icon="%name.png" needs="X11" section="Multimedia/Video"\
  title="Stopmotion" longtitle="%{summary}"
EOF
# Localization.
# Uses a weird localization system, got to hardcode it *sigh* :)
%{_libdir}/qt3/bin/lrelease stopmotion.pro
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/translations/
install -m644 ./translations/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/translations/

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README AUTHORS ./html/
%{_bindir}/*
%{_datadir}/applications/%{name}
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Aug 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.1-2mdk
- Bah, forgot to rediff p0 even though it says MUST BE REDIFFED ON A NEW RELEASE! in the spec

* Sun Aug 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.1-1mdk
- New version 0.3.1

* Sun May 22 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.0-2mdk
- Shut rpmlint up

* Sat May 21 2005 Eskild Hustvedt <eskild@mandrake.org> 0.3.0-1mdk
- Initial Mandriva Linux package
